
Redmine - Defect #7451

Send email

2011-01-26 12:44 - Luis Serrano Aranda

Status: Closed Start date: 2011-01-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When I create a new issue Redmine not send an email to the person who has been assigned

Related issues:

Related to Redmine - Defect #7400: E-mail notifications are only sent when us... Closed 2011-01-21

History

#1 - 2011-01-26 16:12 - Anonymous

Go to Administration > Settings > Email Notifications.  Is "Issue added" checked?

#2 - 2011-01-26 16:23 - Luis Serrano Aranda

- File Capture.JPG added

Yes

#3 - 2011-01-26 18:14 - Anonymous

And if you go to http://&lt;redmine install path>/admin/test_email does the administrator get an email?

#4 - 2011-02-07 09:39 - Luis Serrano Aranda

Yee with the test redmine sends the email

#5 - 2011-02-07 09:42 - Jean-Baptiste Barth

Last one: does the user (the assignee) have notifications enabled ? If not, this behaviour is normal.

If yes, please provide informations requested at SubmittingBugs and minimal steps to reproduce so that we can confirm it's a defect.

It's probably just a configuration or migration problem on your instance.

#6 - 2011-02-08 20:37 - Maxime Pelletier

I have the same problem after updating to redmine 1.1.0. My user email notification is set to "For any event on all my projects" and I don't receive

notification emails. The test email works fine and if I watch an issue I receive notification emails succesfully.

Let me know if you need more information.

#7 - 2011-02-16 22:42 - Maxime Pelletier

Fixed the problem. Looks like I somehow forgot to run the migrations after updating. My bad.

#8 - 2011-02-16 23:30 - Luis Serrano Aranda

How to do the migration? I did what it says on the website must be done to upgrade Redmine

Thanks

#9 - 2011-02-23 08:52 - Luis Serrano Aranda

Hello Maxim could you help me ? Thanos

#10 - 2011-02-23 08:54 - Luis Serrano Aranda

Hello Maxim,  could you help me ? Thanks

#11 - 2011-02-23 09:08 - Etienne Massip
Guess he is talking about running rake migrate:db, but you said you did it before ?

#12 - 2011-02-25 14:43 - Luis Serrano Aranda

I've been able to migrate the BBDD and Redmine still send mail

#13 - 2011-02-25 15:15 - Luis Serrano Aranda

I migrated the database but redmine not send e-mails

#14 - 2011-02-25 18:35 - Etienne Massip

- Category set to Email notifications

In the user profile of the assignee, what are set the "Email notifications" fields with ?

Are you sure the person did not receive the mail (you checked the BCC field) ? :p

#15 - 2011-02-28 12:21 - Luis Serrano Aranda

- File Capture_2.JPG added

- File Capture_3.JPG added

I try with BCC and witouth and the email dont't work

And this is I attach my email configuration (Capture2.jpg) and the configuration of all the users (Capture 3.jpg)

#16 - 2011-02-28 12:25 - Etienne Massip

What's your redmine version ?

#17 - 2011-02-28 12:26 - Luis Serrano Aranda

Ups sorry 1.1.1

#18 - 2011-03-09 15:42 - Etienne Massip

Did you manage to make it work ?

If not, what's the result of rake db:migrate ?

#19 - 2011-03-09 15:49 - Luis Serrano Aranda

I did not succeed, when I do a migrate Redmine returns nothing. I will review the problem with Aptana and the debugger.

#20 - 2011-03-09 15:53 - Etienne Massip

What do you mean by nothing ?

Did you set RAILS_ENV to production ?

Did you try to run it with the --trace argument ?

#21 - 2011-03-09 15:56 - Luis Serrano Aranda

lserrano@robotica:/var/www/redmine$ sudo rake db:migrate RAILS_ENV=production --trace

(in /var/www/redmine)

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

Execute db:migrate

Invoke db:schema:dump (first_time)

Invoke environment

Execute db:schema:dump

lserrano@robotica:/var/www/redmine$

#22 - 2011-03-09 16:20 - Etienne Massip

What's the type of your users.mail_notification column ?

What do you find in log when creating an issue ?

#23 - 2011-03-09 16:39 - Luis Serrano Aranda

What's the type of your users.mail_notification column ? tinyint(1)
What do you find in log when creating an issue ?

Processing IssuesController#create (for 127.0.0.1 at 2011-03-09 16:32:59) [POST]

Parameters: {"commit"=>"Crear", "project_id"=>"red", "action"=>"create",

"authenticity_token"=>"wR52W1Qu9EUY6397mYrgNPErhqu7uxet7ekKc5QSRYo=", "issue"=>{"start_date"=>"2011-03-09", "estimated_hours"=>"",

"priority_id"=>"4", "parent_issue_id"=>"", "fixed_version_id"=>"1", "done_ratio"=>"0", "assigned_to_id"=>"3", "subject"=>"Test", "tracker_id"=>"2",

"due_date"=>"", "status_id"=>"1", "description"=>""}, "controller"=>"issues", "attachments"=>{"1"=>{"description"=>""},

"screenshot"=>{"name"=>"screenshot", "content"=>"", "description"=>""}}}

Sending email notification to:

Redirected to https://127.0.0.1/issues/2518

Completed in 148ms (DB: 93) | 302 Found [https://127.0.0.1/projects/red/issues]

Processing IssuesController#show (for 127.0.0.1 at 2011-03-09 16:32:59) [GET]

Parameters: {"action"=>"show", "id"=>"2518", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

Completed in 311ms (View: 268, DB: 24) | 200 OK [https://127.0.0.1/issues/2518]

Processing AdminController#index (for 127.0.0.1 at 2011-03-09 16:33:02) [GET]

Parameters: {"action"=>"index", "controller"=>"admin"}

Rendering template within layouts/admin

Rendering admin/index

Completed in 22ms (View: 16, DB: 4) | 200 OK [https://127.0.0.1/admin]

Processing LogsController#index (for 127.0.0.1 at 2011-03-09 16:33:03) [GET]

Parameters: {"action"=>"index", "controller"=>"logs"}

Rendering template within layouts/admin

Rendering logs/index

Completed in 33ms (View: 28, DB: 2) | 200 OK [https://127.0.0.1/logs]

#24 - 2011-03-09 16:49 - Etienne Massip

Ok, tinyint is not good, should be a varchar, something must have gone wrong in your migration.

#25 - 2011-03-09 16:55 - Etienne Massip

You can try to run the missing migration with rake db:migrate:up VERSION=20100129193402

#26 - 2011-03-09 17:25 - Etienne Massip

Actually, this should not work as migrations can't be ran twice.

Just an idea : maybe you could copy db/migrate/20100129193402_change_users_mail_notification_to_string.rb to, e.g.,

db/migrate/99990129193402_change_users_mail_notification_to_string.rb, run migrations then remove the new 99990129193402 record from table

schema_migration ?

#27 - 2011-03-10 09:17 - Luis Serrano Aranda

After make rake db:migrate:up VERSION=20100129193402 redmine dont'send email and the log return:

The following error occured while sending email notification: "550 <luis.serrano.aranda@gmail.com>, Recipient unknown

#28 - 2011-03-10 09:19 - Luis Serrano Aranda

Ant the email test works

#29 - 2011-03-10 09:37 - Etienne Massip

Could you do what explained in note 26 then check your users.mail_notification column data type ?

#30 - 2011-03-10 10:12 - Luis Serrano Aranda

If a make the up the redmain not send emails and the user.mail_notification is a VARCHAR (STRING)

#31 - 2011-03-10 10:19 - Etienne Massip

Luis Serrano Aranda wrote:

If a make the up the redmain not send emails and the user.mail_notification is a VARCHAR (STRING)

 Ok, now you column has the right format.

What's the value of the last record of the schema_migration table ?

#32 - 2011-03-10 10:33 - Luis Serrano Aranda
The value of the last record is 99

In the development environment I have make a test, load the redmine 1.1.2 and load the default BBDD

(With the same email.yml) and the email test return the 550 error ¿?

#33 - 2011-03-10 11:00 - Etienne Massip

1) I guess you've chosen to display only the first 100 records, hence the 99, you have to display all records

=)

2) what's on in log when you send a test e-mail on your production environment (not the test one) ?

#34 - 2011-03-10 11:03 - Luis Serrano Aranda

Not not I have displayed all the record I attach the schema capture

#35 - 2011-03-10 11:03 - Luis Serrano Aranda

Not not I have displayed all the record I attach the schema capture

#36 - 2011-03-10 11:08 - Luis Serrano Aranda

- File Schema.jpg added

Luis Serrano Aranda wrote:

Not not I have displayed all the record I attach the schema capture

#37 - 2011-03-10 11:10 - Luis Serrano Aranda

2) The test works

#38 - 2011-03-11 10:04 - Luis Serrano Aranda

any suggestions?

#39 - 2011-03-11 12:20 - Etienne Massip

Luis Serrano Aranda wrote:

Not not I have displayed all the record I attach the schema capture

 This is not possible. Could you please attach the full schema_migrations contents ?

#40 - 2011-03-11 12:22 - Luis Serrano Aranda

The sql export ?

#41 - 2011-03-11 12:31 - Luis Serrano Aranda

Now I have a new problem... when I make a new issue if I put watchers (after the creation of the issue) redmine returns the message translation

missiong: es, field_watcher_users no es valido.

Etienne thanks for you job and your help

#42 - 2011-03-11 12:38 - Etienne Massip

Luis Serrano Aranda wrote:

The sql export ?

 Yes, please.

#43 - 2011-03-17 08:32 - Luis Serrano Aranda

Etienne any news ?

comparethe tables of my  database current (updated) with a new and empty database of the version 1.1.2?

Thanks
#44 - 2011-03-17 08:57 - Etienne Massip

I just say that you last schema_migrations record can't be 99 (at least, should not be) since 99 is a very old migration (see source:trunk/db/migrate,

migrations are run by rake db:migrate in their file name alphabetic order).

So, please check twice or / and attach here the contents of the schema_migrations table ?

Edit : numeric order :/

#45 - 2011-03-17 09:00 - Luis Serrano Aranda

- File schema_migration.sql added

Ups I thought I had attached, sorry

#46 - 2011-03-17 10:34 - Etienne Massip

Well, your db is missing migration 20100129193402 and only this one.

Please do the following :

1. copy file db/migrate/20100129193402_change_users_mail_notification_to_string.rb to

db/migrate/99990129193402_change_users_mail_notification_to_string.rb

2. run rake db:migrate RAILS_ENV=production --trace

3. If no error then :

1. update the new 99990129193402 record from table schema_migration to the value 20100129193402

2. remove the newly created file db/migrate/99990129193402_change_users_mail_notification_to_string.rb so that it can't be run again

accidentally

#47 - 2011-03-17 11:11 - Luis Serrano Aranda

...And finally works.

A lot of thanks !!!!

Very good job !!!

#48 - 2011-03-17 11:12 - Luis Serrano Aranda

- Status changed from New to Resolved

#49 - 2011-03-17 11:16 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Nice :)

#50 - 2011-11-17 18:54 - Laercio Mendonça

- File Shema_Migrations_201111171553.sql added

- Status changed from Closed to Reopened

- Assignee set to Etienne Massip

Etienne ,

I'm having the same problem in my redmine to control the activities of my company.

my schema migration in this Annex, all settings are displayed as standard.

The problem is exactly the same, but could not apply the solution presented.

Someone could help me.

Etienne Massip wrote:

Well, your db is missing migration 20100129193402 and only this one.

Please do the following :

1. copy file db/migrate/20100129193402_change_users_mail_notification_to_string.rb to

db/migrate/99990129193402_change_users_mail_notification_to_string.rb

2. run rake db:migrate RAILS_ENV=production --trace

3. If no error then :
1. update the new 99990129193402 record from table schema_migration to the value 20100129193402

2. remove the newly created file db/migrate/99990129193402_change_users_mail_notification_to_string.rb so that it can't be run again

accidentally

#51 - 2012-01-04 09:25 - Etienne Massip

- Assignee deleted (Etienne Massip)

#52 - 2013-04-02 22:05 - Etienne Massip

- Status changed from Reopened to Needs feedback

Laercio, did you eventually manage to make it work?

#53 - 2015-08-23 17:22 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed
